package org.wamblee.support.persistence;

import java.util.ArrayList;
import java.util.List;
import java.util.ServiceLoader;

public class JpaCustomizerBuilder {

    private static final ServiceLoader<JpaCustomizer> CUSTOMIZERS = 
        ServiceLoader.load(JpaCustomizer.class);
    
    
    public static JpaCustomizer getCustomizer() { 
        List<JpaCustomizer> customizers = new ArrayList<JpaCustomizer>(); 
        for (JpaCustomizer customizer: CUSTOMIZERS) { 
            customizers.add(customizer);
        }
        return new CompositeJpaCustomizer(customizers);
    }
}
