package org.wamblee.support.persistence;

import org.dbunit.dataset.filter.ITableFilterSimple;

public class PersistenceUnitDescription {

	private String jndiName; 
	private String unitName; 
	private ITableFilterSimple tables; 
	
	public PersistenceUnitDescription(String aJndiName, String aUnitName, ITableFilterSimple aTables) {
		jndiName = aJndiName;
		unitName = aUnitName;
		tables = aTables; 
	}
	
	public String getJndiName() {
		return jndiName;
	}
	
	public String getUnitName() {
		return unitName;
	}
	
	public ITableFilterSimple getTables() { 
		return tables; 
	}
}
